import { JavaObject } from '../../../java/lang/JavaObject';
import { Vector } from '../../../java/util/Vector';
export declare class SchuleAbschnitte extends JavaObject {
    anzahlAbschnitte: number;
    abschnittBez: String;
    bezAbschnitte: Vector<String>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): SchuleAbschnitte;
    static transpilerToJSON(obj: SchuleAbschnitte): string;
    static transpilerToJSONPatch(obj: Partial<SchuleAbschnitte>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_schule_SchuleAbschnitte(obj: unknown): SchuleAbschnitte;
